set term postscript eps enhanced color "Times-Roman, 20" size 4,6
set output 'spins.eps'
set autoscale
set encoding iso_8859_1

Ef = 3.0242
K = 0.13333
a = 12.5
dk = 100*2*3.141592/a
Ry = 13.605693
set multiplot layout 2,1


unset xtic
set xzeroaxis lw 2 dt 3
set tmargin 1
unset label
set bmargin 2
set size 1, 0.18
set origin 0.0, 0.0
set ytic auto out nomirror
set xrange [-4:4]
set tics out scale 2,1 nomirror
set yrange [-0.6:0.6]
set key inside right center samplen 1 box opaque
set ytics -100,0.5,100 out nomirror
unset xtics
set key width 2
set palette defined (-0.5 'blue', -0.35 'grey', 0 'grey', 0.35 'grey', 0.5 'red')
set ylabel "spin" offset 0.5,0
set mytics 2
set xtics ("M" -4 , "{/Symbol \254}    K    {/Symbol \256}" 0, "{/Symbol G}" 4 ) out nomirror
set x2tics ("4" -4, "3" -3, "2" -2, "1" -1, "0" 0, "1" 1, "2" 2, "3" 3, "4" 4) offset 0,-0.5
set mx2tics 4
unset colorbox
set x2label "k [10^{-2}/{\305}]" offset 0,-0.5
plot "./bands_model.dat" using (($1*100)):($10*50) with lines lw 5 lc rgb "black" title "s_x",\
"./bands_model.dat" using (($1*100)):($18*50) with lines lw 5 dt 3 lc rgb "red" title "s_y",\
"./bands_model.dat" using (($1*100)):26 with lines lw 5 lc rgb "blue" title "s_z",\
"./bands_model.dat" using (($1*100)):($42*50) with points pt 6 lw 1 lc rgb "black" title "",\
"./bands_model.dat" using (($1*100)):($50*50) with points pt 6 lw 1 lc rgb "red" title "",\
"./bands_model.dat" using (($1*100)):58 with points pt 6 lw 1 lc rgb "blue" title "",\

unset key
set xzeroaxis lw 2 dt 3
set tmargin 1
unset label
set bmargin 2
set size 1, 0.18
set origin 0.0, 0.25
set ytic auto out nomirror
set xrange [-4:4]
set tics out scale 2,1 nomirror
set yrange [-0.6:0.6]
set ytics -100,0.5,100 out nomirror
set palette defined (-0.5 'blue', -0.35 'grey', 0 'grey', 0.35 'grey', 0.5 'red')
set ylabel "spin" offset 0.5,0
set mytics 2
set mx2tics 4
unset colorbox
set x2label "k [10^{-2}/{\305}]" offset 0,-0.5
plot "./bands_model.dat" using (($1*100)):($11*50) with lines lw 5 lc rgb "black" title "s_x",\
"./bands_model.dat" using (($1*100)):($19*50) with lines lw 5 dt 3 lc rgb "red" title "s_y",\
"./bands_model.dat" using (($1*100)):27 with lines lw 5 lc rgb "blue" title "s_z",\
"./bands_model.dat" using (($1*100)):($43*50) with points pt 6 lw 1 lc rgb "black" title "",\
"./bands_model.dat" using (($1*100)):($51*50) with points pt 6 lw 1 lc rgb "red" title "",\
"./bands_model.dat" using (($1*100)):59 with points pt 6 lw 1 lc rgb "blue" title "",\


set xzeroaxis lw 2 dt 3
set tmargin 1
unset label
set bmargin 2
set size 1, 0.18
set origin 0.0, 0.5
set ytic auto out nomirror
set xrange [-4:4]
set tics out scale 2,1 nomirror
set yrange [-0.6:0.6]
set ytics -100,0.5,100 out nomirror
set palette defined (-0.5 'blue', -0.35 'grey', 0 'grey', 0.35 'grey', 0.5 'red')
set ylabel "spin" offset 0.5,0
set mytics 2
set mx2tics 4
unset colorbox
set x2label "k [10^{-2}/{\305}]" offset 0,-0.5
plot "./bands_model.dat" using (($1*100)):($16*50) with lines lw 5 lc rgb "black" title "s_x",\
"./bands_model.dat" using (($1*100)):($24*50) with lines lw 5 dt 3 lc rgb "red" title "s_y",\
"./bands_model.dat" using (($1*100)):32 with lines lw 5 lc rgb "blue" title "s_z",\
"./bands_model.dat" using (($1*100)):($48*50) with points pt 6 lw 1 lc rgb "black" title "",\
"./bands_model.dat" using (($1*100)):($56*50) with points pt 6 lw 1 lc rgb "red" title "",\
"./bands_model.dat" using (($1*100)):64 with points pt 6 lw 1 lc rgb "blue" title "",\

set xzeroaxis lw 2 dt 3
set tmargin 1
unset label
set bmargin 2
set size 1, 0.18
set origin 0.0, 0.75
set ytic auto out nomirror
set xrange [-4:4]
set tics out scale 2,1 nomirror
set yrange [-0.6:0.6]
set ytics -100,0.5,100 out nomirror
set palette defined (-0.5 'blue', -0.35 'grey', 0 'grey', 0.35 'grey', 0.5 'red')
set ylabel "spin" offset 0.5,0
set mytics 2
set mx2tics 4
unset colorbox
set x2label "k [10^{-2}/{\305}]" offset 0,-0.5
plot "./bands_model.dat" using (($1*100)):($17*50) with lines lw 5 lc rgb "black" title "s_x",\
"./bands_model.dat" using (($1*100)):($25*50) with lines lw 5 dt 3 lc rgb "red" title "s_y",\
"./bands_model.dat" using (($1*100)):33 with lines lw 5 lc rgb "blue" title "s_z",\
"./bands_model.dat" using (($1*100)):($49*50) with points pt 6 lw 1 lc rgb "black" title "",\
"./bands_model.dat" using (($1*100)):($57*50) with points pt 6 lw 1 lc rgb "red" title "",\
"./bands_model.dat" using (($1*100)):65 with points pt 6 lw 1 lc rgb "blue" title "",\









