set term postscript eps enhanced color "Times-Roman, 28" size 6,4
set output 'DOS.eps'
set autoscale
set encoding iso_8859_1



set multiplot layout 2,1


set xzeroaxis lw 2 dt 3
set tmargin 1
unset label
set bmargin 2
set size 0.96, 0.9
set origin 0.02, 0.07
set ytic auto out nomirror
set xrange [-1.3:1.3]
set tics out scale 2,1 nomirror
set yrange [0:0.3]
set ylabel "DOS [a.u.]"
set xlabel "V [meV]"
set key inside bottom center samplen 1 nobox opaque
plot "dos_at_Ef0.dat" using ($1*1000):($2/35000) with lp lt 7 lw 4 lc rgb "red" title "E_F = 0",\
"dos_at_Ef0.dat" using ($1*1000):($4/35000) with lp lt 7 lw 4 lc rgb "blue" title "n = 0",\



