set term postscript eps enhanced color "Times-Roman, 28" size 14,4
set output 'figure.eps'
set autoscale
set encoding iso_8859_1

scal = 35000


Ry = 13.605693
set multiplot layout 2,1

unset xtic
set xzeroaxis lw 4 dt 3
set tmargin 1
unset label
set bmargin 2
set size 0.21, 0.9
set origin 0.0, 0.05
set ytic auto out nomirror
set xrange [0:1.0]
set xtics 0,0.4,0.9 out nomirror offset 0,0.5
set tics out scale 2,1 nomirror
set yrange [-10:10]
unset key
set ytics -100,4,100 out nomirror offset 0.5,0
set ylabel "E - E_F [meV]" offset 0.5,0
set mytics 2
unset colorbox
set title "V = 2.0 meV"
plot "./Vpl2/dos2.dat" using ($2/scal):($1*1000) with lines lw 6 lc rgb "black" title "Model",\



set tmargin 1
unset label
set bmargin 2
set size 0.21, 0.9
set origin 0.13, 0.05
set tics out scale 2,1 nomirror
set ylabel " " offset 0.5,0
set mytics 2
set title "V = 1.0 meV"
plot "./Vpl1/dos2.dat" using ($2/scal):($1*1000) with lines lw 6 lc rgb "black" title "Model",\


set tmargin 1
unset label
set bmargin 2
set size 0.21, 0.9
set origin 0.26, 0.05
set tics out scale 2,1 nomirror
set ylabel " " offset 0.5,0
set mytics 2
set title "V = 0.5 meV"
plot "./Vpl05/dos2.dat" using ($2/scal):($1*1000) with lines lw 6 lc rgb "black" title "Model",\

set tmargin 1
unset label
set bmargin 2
set size 0.21, 0.9
set origin 0.39, 0.05
set tics out scale 2,1 nomirror
set key inside top center samplen 0.8 
set colorbox user origin 0.4,0.19 size 0.008,0.1
set ylabel " " offset 0.5,0
set mytics 2
set title "V = 0.0 meV"
set xlabel "DOS [a.u.]" offset 0,0.5
plot "./V0/dos2.dat" using ($2/scal):($1*1000) with lines lw 6 lc rgb "black" title "Model",\


set tmargin 1
unset label
set bmargin 2
set size 0.21, 0.9
set origin 0.52, 0.05
set tics out scale 2,1 nomirror
unset key
set colorbox user origin 0.4,0.19 size 0.008,0.1
set ylabel " " offset 0.5,0
set mytics 2
set title "V = -0.5 meV"
unset xlabel
plot "./Vmin05/dos2.dat" using ($2/scal):($1*1000) with lines lw 6 lc rgb "black" title "Model",\

set tmargin 1
unset label
set bmargin 2
set size 0.21, 0.9
set origin 0.65, 0.05
unset key
unset xlabel
set tics out scale 2,1 nomirror
set ylabel " " offset 0.5,0
set mytics 2
set title "V = -1.0 meV"
plot "./Vmin1/dos2.dat" using ($2/scal):($1*1000) with lines lw 6 lc rgb "black" title "Model",\



set tmargin 1
unset xlabel
unset label
set bmargin 2
set size 0.21, 0.9
set origin 0.78, 0.05
set tics out scale 2,1 nomirror
set ylabel " " offset 0.5,0
set mytics 2
set title "V = -2.0 meV"
plot "./Vmin2/dos2.dat" using ($2/scal):($1*1000) with lines lw 6 lc rgb "black" title "Model",\


