set term postscript eps enhanced color "Times-Roman, 28" size 14,4
set output 'figure.eps'
set autoscale
set encoding iso_8859_1

Ef0 = 2.2790
K = 0.06000
a = 9.83999995859962

Efmin1 = 2.2235

dk = 100*2*3.141592/a
Ry = 13.605693
set multiplot layout 2,1

unset xtic
set xzeroaxis lw 4 dt 3
set tmargin 1
unset label
set bmargin 2
set size 0.21, 0.9
set origin 0.0, 0.05
set ytic auto out nomirror
set xrange [-1.1:2.0]
set tics out scale 2,1 nomirror
set yrange [-12:12]
unset key
set ytics -100,5,100 out nomirror offset 0.5,0
unset xtics
set palette defined (-0.5 'dark-blue', -0.25 'blue', 0 'grey', 0.25 'red', 0.5 'dark-red')
set cbrange [-0.5:0.5]
set cbtics -1,0.5,1 offset -0.8,0
set cblabel "< s_z >" offset -1.5,0
set ylabel "E - E_F [meV]" offset 0.5,0
set mytics 2
unset colorbox
set title "V = 2.0 meV"
plot "./bands_model_Vpl2meV.dat" using (($1*100)):(1000*($2)) with lines lw 6 lc rgb "black" title "Model",\
"./bands_model_Vpl2meV.dat" using (($1*100)):(1000*($2)):26 palette lw 6 with lines title "",\
"./bands_model_Vpl2meV.dat" using (($1*100)):(1000*($3)):27 palette lw 6 with lines title "",\
"./bands_model_Vpl2meV.dat" using (($1*100)):(1000*($4)):28 palette lw 6 with lines title "",\
"./bands_model_Vpl2meV.dat" using (($1*100)):(1000*($5)):29 palette lw 6 with lines title "",\
"./bands_model_Vpl2meV.dat" using (($1*100)):(1000*($6)):30 palette lw 6 with lines title "",\
"./bands_model_Vpl2meV.dat" using (($1*100)):(1000*($7)):31 palette lw 6 with lines title "",\
"./bands_model_Vpl2meV.dat" using (($1*100)):(1000*($8)):32 palette lw 6 with lines title "",\
"./bands_model_Vpl2meV.dat" using (($1*100)):(1000*($9)):33 palette lw 6 with lines title ""


unset xtic
set tmargin 1
unset label
set bmargin 2
set size 0.21, 0.9
set origin 0.13, 0.05
set ytic auto out nomirror
set tics out scale 2,1 nomirror
unset xtics
set ylabel " " offset 0.5,0
set mytics 2
set title "V = 1.0 meV"
plot "./bands_model_Vpl1meV.dat" using (($1*100)):(1000*($2)) with lines lw 6 lc rgb "black" title "Model",\
"./bands_model_Vpl1meV.dat" using (($1*100)):(1000*($2)):26 palette lw 6 with lines title "",\
"./bands_model_Vpl1meV.dat" using (($1*100)):(1000*($3)):27 palette lw 6 with lines title "",\
"./bands_model_Vpl1meV.dat" using (($1*100)):(1000*($4)):28 palette lw 6 with lines title "",\
"./bands_model_Vpl1meV.dat" using (($1*100)):(1000*($5)):29 palette lw 6 with lines title "",\
"./bands_model_Vpl1meV.dat" using (($1*100)):(1000*($6)):30 palette lw 6 with lines title "",\
"./bands_model_Vpl1meV.dat" using (($1*100)):(1000*($7)):31 palette lw 6 with lines title "",\
"./bands_model_Vpl1meV.dat" using (($1*100)):(1000*($8)):32 palette lw 6 with lines title "",\
"./bands_model_Vpl1meV.dat" using (($1*100)):(1000*($9)):33 palette lw 6 with lines title ""

unset xtic
set tmargin 1
unset label
set bmargin 2
set size 0.21, 0.9
set origin 0.26, 0.05
unset key
set ytic auto out nomirror
set tics out scale 2,1 nomirror
unset xtics
set ylabel " " offset 0.5,0
set mytics 2
unset xtics
unset x2tics
set title "V = 0.5 meV"
#set x2label "k [10^{-2}/{\305}]" offset 0,-0.8
plot "./bands_model_Vpl05meV.dat" using (($1*100)):(1000*($2)) with lines lw 6 lc rgb "black" title "Model",\
"./bands_model_Vpl05meV.dat" using (($1*100)):(1000*($2)):26 palette lw 6 with lines title "",\
"./bands_model_Vpl05meV.dat" using (($1*100)):(1000*($3)):27 palette lw 6 with lines title "",\
"./bands_model_Vpl05meV.dat" using (($1*100)):(1000*($4)):28 palette lw 6 with lines title "",\
"./bands_model_Vpl05meV.dat" using (($1*100)):(1000*($5)):29 palette lw 6 with lines title "",\
"./bands_model_Vpl05meV.dat" using (($1*100)):(1000*($6)):30 palette lw 6 with lines title "",\
"./bands_model_Vpl05meV.dat" using (($1*100)):(1000*($7)):31 palette lw 6 with lines title "",\
"./bands_model_Vpl05meV.dat" using (($1*100)):(1000*($8)):32 palette lw 6 with lines title "",\
"./bands_model_Vpl05meV.dat" using (($1*100)):(1000*($9)):33 palette lw 6 with lines title ""

unset xtic
set tmargin 1
unset label
set bmargin 2
set size 0.21, 0.9
set origin 0.39, 0.05
set ytic auto out nomirror
set tics out scale 2,1 nomirror
set key inside top center samplen 0.8 
unset xtics
set colorbox user origin 0.36,0.19 size 0.008,0.1
set ylabel " " offset 0.5,0
set mytics 2
set title "V = 0.0 meV"
set xtics ("   M" -1.1, "{/Symbol \254} K {/Symbol \256}" 0, "{/Symbol G}   " 2. ) out nomirror scale 2,1 offset 0,0.5
plot "./bands_model_V0meV.dat" using (($1*100)):(1000*($2)) with lines lw 5 lc rgb "black" title "Model",\
"./bands_model_V0meV.dat" using (($1*100)):(1000*($2)):26 palette lw 5 with lines title "",\
"./bands_model_V0meV.dat" using (($1*100)):(1000*($3)):27 palette lw 5 with lines title "",\
"./bands_model_V0meV.dat" using (($1*100)):(1000*($4)):28 palette lw 5 with lines title "",\
"./bands_model_V0meV.dat" using (($1*100)):(1000*($5)):29 palette lw 5 with lines title "",\
"./bands_model_V0meV.dat" using (($1*100)):(1000*($6)):30 palette lw 5 with lines title "",\
"./bands_model_V0meV.dat" using (($1*100)):(1000*($7)):31 palette lw 5 with lines title "",\
"./bands_model_V0meV.dat" using (($1*100)):(1000*($8)):32 palette lw 5 with lines title "",\
"./bands_model_V0meV.dat" using (($1*100)):(1000*($9)):33 palette lw 5 with lines title ""

unset xtic
set tmargin 1
unset label
set bmargin 2
set size 0.21, 0.9
set origin 0.52, 0.05
unset key
set ytic auto out nomirror
set tics out scale 2,1 nomirror
unset xtics
set ylabel " " offset 0.5,0
set mytics 2
unset xtics
unset x2tics
set title "V = -0.5 meV"
#set x2label "k [10^{-2}/{\305}]" offset 0,-0.8
plot "./bands_model_Vmin05meV.dat" using (($1*100)):(1000*($2)) with lines lw 6 lc rgb "black" title "Model",\
"./bands_model_Vmin05meV.dat" using (($1*100)):(1000*($2)):26 palette lw 6 with lines title "",\
"./bands_model_Vmin05meV.dat" using (($1*100)):(1000*($3)):27 palette lw 6 with lines title "",\
"./bands_model_Vmin05meV.dat" using (($1*100)):(1000*($4)):28 palette lw 6 with lines title "",\
"./bands_model_Vmin05meV.dat" using (($1*100)):(1000*($5)):29 palette lw 6 with lines title "",\
"./bands_model_Vmin05meV.dat" using (($1*100)):(1000*($6)):30 palette lw 6 with lines title "",\
"./bands_model_Vmin05meV.dat" using (($1*100)):(1000*($7)):31 palette lw 6 with lines title "",\
"./bands_model_Vmin05meV.dat" using (($1*100)):(1000*($8)):32 palette lw 6 with lines title "",\
"./bands_model_Vmin05meV.dat" using (($1*100)):(1000*($9)):33 palette lw 6 with lines title ""


unset xtic
set tmargin 1
unset label
set bmargin 2
set size 0.21, 0.9
set origin 0.65, 0.05
unset key
set ytic auto out nomirror
set tics out scale 2,1 nomirror
unset xtics
set ylabel " " offset 0.5,0
set mytics 2
unset xtics
unset x2tics
set title "V = -1.0 meV"
#set x2label "k [10^{-2}/{\305}]" offset 0,-0.8
plot "./bands_model_Vmin1meV.dat" using (($1*100)):(1000*($2)) with lines lw 6 lc rgb "black" title "Model",\
"./bands_model_Vmin1meV.dat" using (($1*100)):(1000*($2)):26 palette lw 6 with lines title "",\
"./bands_model_Vmin1meV.dat" using (($1*100)):(1000*($3)):27 palette lw 6 with lines title "",\
"./bands_model_Vmin1meV.dat" using (($1*100)):(1000*($4)):28 palette lw 6 with lines title "",\
"./bands_model_Vmin1meV.dat" using (($1*100)):(1000*($5)):29 palette lw 6 with lines title "",\
"./bands_model_Vmin1meV.dat" using (($1*100)):(1000*($6)):30 palette lw 6 with lines title "",\
"./bands_model_Vmin1meV.dat" using (($1*100)):(1000*($7)):31 palette lw 6 with lines title "",\
"./bands_model_Vmin1meV.dat" using (($1*100)):(1000*($8)):32 palette lw 6 with lines title "",\
"./bands_model_Vmin1meV.dat" using (($1*100)):(1000*($9)):33 palette lw 6 with lines title ""


unset xtic
set tmargin 1
unset label
set bmargin 2
set size 0.21, 0.9
set origin 0.78, 0.05
set ytic auto out nomirror
set tics out scale 2,1 nomirror
unset xtics
set ylabel " " offset 0.5,0
set mytics 2
unset xtics
unset x2tics
set title "V = -2.0 meV"
#set x2label "k [10^{-2}/{\305}]" offset 0,-0.8
plot "./bands_model_Vmin2meV.dat" using (($1*100)):(1000*($2)) with lines lw 6 lc rgb "black" title "Model",\
"./bands_model_Vmin2meV.dat" using (($1*100)):(1000*($2)):26 palette lw 6 with lines title "",\
"./bands_model_Vmin2meV.dat" using (($1*100)):(1000*($3)):27 palette lw 6 with lines title "",\
"./bands_model_Vmin2meV.dat" using (($1*100)):(1000*($4)):28 palette lw 6 with lines title "",\
"./bands_model_Vmin2meV.dat" using (($1*100)):(1000*($5)):29 palette lw 6 with lines title "",\
"./bands_model_Vmin2meV.dat" using (($1*100)):(1000*($6)):30 palette lw 6 with lines title "",\
"./bands_model_Vmin2meV.dat" using (($1*100)):(1000*($7)):31 palette lw 6 with lines title "",\
"./bands_model_Vmin2meV.dat" using (($1*100)):(1000*($8)):32 palette lw 6 with lines title "",\
"./bands_model_Vmin2meV.dat" using (($1*100)):(1000*($9)):33 palette lw 6 with lines title ""


