set term postscript eps enhanced color "Times-Roman, 24" size 5,3
set output 'figure.eps'
set autoscale
set encoding iso_8859_1

Ry = 13.605693
set multiplot layout 2,1

set xzeroaxis lw 4 dt 3
set tmargin 1
unset label
set bmargin 2
set size 0.9, 0.9
set origin 0.04, 0.06
set ytic auto out nomirror
set xrange [-5:5]
set tics out scale 2,1 nomirror
set yrange [0:8]
set ytics -100,2,100 out nomirror offset 0.5,0
set xtics -100,2,100 out nomirror offset 0,0.5
set xlabel "V [meV]" offset 0,0.5
set ylabel "Band Gaps [meV]" offset 0.5,0
set mytics 2
set mxtics 2
set key inside center top samplen 2
plot 'V_ene_spin.dat' u ($1*1000):(($6-$4)>0?($6-$4)*1000:0) w l lw 8 lc rgb 'black' title 'spin indep.',\
'V_ene_spin.dat' u ($1*1000):(($6-$2)>0?($6-$2)*1000:0) w l lw 4 lc rgb 'blue' title 'spin dn',\
'V_ene_spin.dat' u ($1*1000):(($8-$4)>0?($8-$4)*1000:0) w l lw 4 lc rgb 'red' title 'spin up'

