set term postscript eps enhanced color "Times-Roman, 26" size 7,4.5
set output 'bandstructure_SOC.eps'
set autoscale
set encoding iso_8859_1

Ef = 2.3354
K = 0.06000
a = 9.83999995859962
dk = 100*2*3.141592/a
Ry = 13.605693
set multiplot layout 2,1

unset xtic
set xzeroaxis lw 3 dt 3
set tmargin 1
set bmargin 2
set size 0.6, 0.92
set origin 0.0, 0.02
set xrange [0.0:1.000]
set ytic auto out nomirror
set tics out scale 2,1 nomirror
set yrange [-1.25:1.50]
unset xtics
unset key
set mytics 2
set title ""
set label "(a)" at -0.2,1.25
set label "(b)" at 1.1,1.25
set palette defined (-0.5 'dark-blue', -0.25 'blue', 0 'grey', 0.25 'red', 0.5 'dark-red')
set cbrange [-0.5:0.5]
set cbtics -1,0.5,1 offset -0.5,0
set cblabel "< s_z >" offset -0.7,0
set colorbox user origin 0.41,0.56 size 0.012,0.12
set xtics ("M" 0.0, "K" 0.3333, "{/Symbol G}" 1.0 ) out scale 2,1 nomirror
set ylabel "E - E_F [eV]" offset 1,0
plot "./spinbands.dat" using 1:($2-Ef):8 palette lw 6 with lines 


unset xtic
set xzeroaxis lw 2 dt 3
set tmargin 1
unset label
set bmargin 2
set size 0.43, 0.86
set origin 0.58, 0.02
set ytic auto out nomirror
set xrange [-1.5:2.5]
set tics out scale 2,1 nomirror
set yrange [-25:30]
set key inside top center samplen 1 box opaque
set ytics -100,10,200 out nomirror
unset xtics
set ylabel "E - E_F [meV]" offset 0.5,0
set mytics 2
set xtics ("M" -1.5 , "{/Symbol \254}    K    {/Symbol \256}" 0, "{/Symbol G}" 2.5 ) out nomirror
set x2tics ("4" -4, "3" -3, "2" -2, "1" -1, "0" 0, "1" 1, "2" 2, "4" 4) offset 0,-0.5
set mx2tics 4
unset colorbox
set x2label "k [10^{-2}/{\305}]" offset 0,-0.5
plot "./bandsK/spinbandsK.dat" using (($1-K)*dk):(1000*($2-Ef)):8 every 2 palette lt 7 ps 1.4 lw 2 with points title "",\
"./bandsK/spinbandsK.dat" using (($1-K)*dk):(1000*($2-Ef-500)) lc rgb "black" lt 7 ps 1.4 lw 2 with points title "DFT",\
"./bands_model.dat" using (($1*100)):(1000*($2)) with lines lw 5 lc rgb "black" title "Model",\
"./bands_model.dat" using (($1*100)):(1000*($2)):26 palette lw 5 with lines title "",\
"./bands_model.dat" using (($1*100)):(1000*($3)):27 palette lw 5 with lines title "",\
"./bands_model.dat" using (($1*100)):(1000*($4)):28 palette lw 5 with lines title "",\
"./bands_model.dat" using (($1*100)):(1000*($5)):29 palette lw 5 with lines title "",\
"./bands_model.dat" using (($1*100)):(1000*($6)):30 palette lw 5 with lines title "",\
"./bands_model.dat" using (($1*100)):(1000*($7)):31 palette lw 5 with lines title "",\
"./bands_model.dat" using (($1*100)):(1000*($8)):32 palette lw 5 with lines title "",\
"./bands_model.dat" using (($1*100)):(1000*($9)):33 palette lw 5 with lines title ""


