set term postscript eps enhanced color "Times-Roman, 22" size 6,6
set output 'figure.eps'
set autoscale
set encoding iso_8859_1

Ef = 1.8311
K = 0.06000
a = 9.83999995859962
dk = 100*2*3.141592/a
Ry = 13.605693
set multiplot layout 2,1


unset xtic
set xzeroaxis lw 2 dt 3
set tmargin 1
unset label
set bmargin 2
set size 0.5, 0.18
set origin 0.0, 0.0
set ytic auto out nomirror
set xrange [-1.5:2.5]
set tics out scale 2,1 nomirror
set yrange [-0.5:0.5]
set key at 3.65,0.5 samplen 1 nobox opaque
set ytics -100,0.5,100 out nomirror
unset xtics
set key width 2 maxrow 3
set palette defined (-0.5 'dark-blue', -0.25 'blue', 0 'grey', 0.25 'red', 0.5 'dark-red')
set ylabel "VB_1" offset 1,0
set mytics 2
unset key
set xtics ("M" -1.5 , "{/Symbol \254}    K    {/Symbol \256}" 0, "{/Symbol G}" 2.5 ) out nomirror offset 0,0.5
set x2tics ("4" -4, "3" -3, "2" -2, "1" -1, "0" 0, "1" 1, "2" 2, "3" 3, "4" 4) offset 0,-0.5
set mx2tics 4
unset colorbox
set x2label "k [10^{-2}/{\305}]" offset 0,-0.5
plot "./bands_model.dat" using (($1*100)):12 with lines lw 5 lc rgb "black" title "s_x",\
"./bands_model.dat" using (($1*100)):20 with lines lw 5 lc rgb "red" title "s_y",\
"./bands_model.dat" using (($1*100)):28 with lines lw 5 lc rgb "blue" title "s_z",\
"./bands_model.dat" using (($1*100)):44 every 3 with points pt 7 ps 1.2 lc rgb "black" title "",\
"./bands_model.dat" using (($1*100)):52 every 3 with points pt 7 ps 1.2 lc rgb "red" title "",\
"./bands_model.dat" using (($1*100)):60 every 3 with points pt 7 ps 1.2 lc rgb "blue" title "",\

unset key
set xzeroaxis lw 2 dt 3
set tmargin 1
unset label
set bmargin 2
set size 0.5, 0.18
set origin 0.0, 0.25
set ytic auto out nomirror
set tics out scale 2,1 nomirror
set ytics -100,0.5,100 out nomirror
set ylabel "VB_2" offset 1,0
set mytics 2
set mx2tics 4
unset colorbox
set x2label "k [10^{-2}/{\305}]" offset 0,-0.5
plot "./bands_model.dat" using (($1*100)):13 with lines lw 5 lc rgb "black" title "s_x",\
"./bands_model.dat" using (($1*100)):21 with lines lw 5 lc rgb "red" title "s_y",\
"./bands_model.dat" using (($1*100)):29 with lines lw 5 lc rgb "blue" title "s_z",\
"./bands_model.dat" using (($1*100)):45 every 3 with points pt 7 ps 1.2 lc rgb "black" title "",\
"./bands_model.dat" using (($1*100)):53 every 3 with points pt 7 ps 1.2 lc rgb "red" title "",\
"./bands_model.dat" using (($1*100)):61 every 3 with points pt 7 ps 1.2 lc rgb "blue" title "",\


set xzeroaxis lw 2 dt 3
set tmargin 1
unset label
set bmargin 2
set size 0.5, 0.18
set origin 0.0, 0.5
set ytic auto out nomirror
set tics out scale 2,1 nomirror
set ytics -100,0.5,100 out nomirror
set ylabel "CB_1" offset 1,0
set mytics 2
set mx2tics 4
unset colorbox
set x2label "k [10^{-2}/{\305}]" offset 0,-0.5
plot "./bands_model.dat" using (($1*100)):14 with lines lw 5 lc rgb "black" title "",\
"./bands_model.dat" using (($1*100)):22 with lines lw 5 lc rgb "red" title "",\
"./bands_model.dat" using (($1*100)):30 with lines lw 5 lc rgb "blue" title "",\
"./bands_model.dat" using (($1*100)):46 every 3 with points pt 7 ps 1.2 lc rgb "black" title "s_x",\
"./bands_model.dat" using (($1*100)):54 every 3 with points pt 7 ps 1.2 lc rgb "red" title "s_y",\
"./bands_model.dat" using (($1*100)):62 every 3 with points pt 7 ps 1.2 lc rgb "blue" title "s_z",\

set xzeroaxis lw 2 dt 3
set tmargin 1
unset label
set bmargin 2
set size 0.5, 0.18
set origin 0.0, 0.75
set ytic auto out nomirror
set tics out scale 2,1 nomirror
set ytics -100,0.5,100 out nomirror
set ylabel "CB_2" offset 0.5,0
set mytics 2
set mx2tics 4
unset colorbox
set key width 1.3 height 0.6
set x2label "k [10^{-2}/{\305}]" offset 0,-0.5
plot "./bands_model.dat" using (($1*100)):15 with lines lw 5 lc rgb "black" title "",\
"./bands_model.dat" using (($1*100)):23 with lines lw 5 lc rgb "red" title "",\
"./bands_model.dat" using (($1*100)):31 with lines lw 5 lc rgb "blue" title "",\
"./bands_model.dat" using (($1*100)):47 every 3 with points pt 7 ps 1.2 lc rgb "black" title "s_x",\
"./bands_model.dat" using (($1*100)):55 every 3 with points pt 7 ps 1.2 lc rgb "red" title "s_y",\
"./bands_model.dat" using (($1*100)):63 every 3 with points pt 7 ps 1.2 lc rgb "blue" title "s_z",\

unset xtic
set xzeroaxis lw 2 dt 3
set tmargin 1
unset label
set bmargin 2
set size 0.52, 0.62
set origin 0.5, 0.3
set ytic auto out nomirror
set xrange [-1.5:2.5]
set tics out scale 2,1 nomirror
set yrange [-15:20]
set key inside top center samplen 1 nobox opaque maxrow 2
set ytics -100,10,500 out nomirror
unset xtics
set ylabel "E - E_F [meV]" offset 0.5,0
set mytics 2
set xtics ("M" -1.5, "{/Symbol \254}    K    {/Symbol \256}" 0, "{/Symbol G}" 2.5 ) out nomirror
set x2tics ("4" -4, "3" -3, "2" -2, "1" -1, "0" 0, "1" 1, "2" 2, "3" 3) offset 0,-0.5
set mx2tics 4
unset colorbox
set cbrange [-0.5:0.5]
set cbtics -1,0.5,1 offset -0.5,0
set cblabel "< s_z >" offset -0.7,0
set colorbox user origin 0.75,0.48 size 0.012,0.08
set x2label "k [10^{-2}/{\305}]" offset 0,-0.5
plot "./bandsK/spinbandsK.dat" using (($1-K)*dk):(1000*($2-Ef)):8 every 2 palette lt 7 ps 1.4 lw 2 with points title "",\
"./bandsK/spinbandsK.dat" using (($1-K)*dk):(1000*($2-Ef-500)) lc rgb "black" lt 7 ps 1.2 lw 2 with points title "DFT",\
"./bands_model.dat" using (($1*100)):(1000*($2)) with lines lw 5 lc rgb "black" title "Model",\
"./bands_model.dat" using (($1*100)):(1000*($2)):26 palette lw 5 with lines title "",\
"./bands_model.dat" using (($1*100)):(1000*($3)):27 palette lw 5 with lines title "",\
"./bands_model.dat" using (($1*100)):(1000*($4)):28 palette lw 5 with lines title "",\
"./bands_model.dat" using (($1*100)):(1000*($5)):29 palette lw 5 with lines title "",\
"./bands_model.dat" using (($1*100)):(1000*($6)):30 palette lw 5 with lines title "",\
"./bands_model.dat" using (($1*100)):(1000*($7)):31 palette lw 5 with lines title "",\
"./bands_model.dat" using (($1*100)):(1000*($8)):32 palette lw 5 with lines title "",\
"./bands_model.dat" using (($1*100)):(1000*($9)):33 palette lw 5 with lines title ""


set xzeroaxis lw 2 dt 3
set tmargin 1
unset label
set bmargin 2
set size 0.52, 0.2
set origin 0.5, 0.02
set ytic auto out nomirror
set tics out scale 2,1 nomirror
set yrange [0:2.5]
set ytics -100,0.5,100 out nomirror
set palette defined (-0.5 'dark-blue', -0.25 'blue', 0 'grey', 0.25 'red', 0.5 'dark-red')
set ylabel "splitting [meV]" offset 1,0
set mytics 2
set mx2tics 4
unset colorbox
set key inside center center nobox samplen 1
set x2label "k [10^{-2}/{\305}]" offset 0,-0.5
plot "./bands_model.dat" using (($1*100)):(($7-$6)*1000) with lines lw 5 lc rgb "red" title "",\
"./bands_model.dat" using (($1*100)):(($39-$38)*1000) every 3 with points pt 7 ps 1.2 lc rgb "red" title "{/Symbol D}E_{CB}",\
"./bands_model.dat" using (($1*100)):(($5-$4)*1000) with lines lw 5 lc rgb "blue" title "",\
"./bands_model.dat" using (($1*100)):(($37-$36)*1000) every 3 with points pt 7 ps 1.2 lc rgb "blue" title "{/Symbol D}E_{VB}",\










