set term postscript eps enhanced color "Times-Roman, 22" size 8.5,4.5
set output 'fitting_procedure.eps'
set autoscale
set encoding iso_8859_1

Ef = 2.2790
K = 0.06000
a = 9.83999995859962
dk = 100*2*3.141592/a
Ry = 13.605693
set multiplot layout 2,1





unset xtic
set tmargin 1
unset label
set bmargin 2
set size 0.31, 0.55
set origin -0.01, 0.45
set ytic auto out nomirror
set xrange [-1.5:2.5]
set tics out scale 2,1 nomirror
set yrange [-15:20]
unset key
set ytics -100,10,500 out nomirror
unset xtics
set palette defined (-0.5 'dark-blue', -0.25 'blue', 0 'grey', 0.25 'red', 0.5 'dark-red')
set ylabel "E - E_F [meV]" offset 1,0
set mytics 2
set xtics ("M {/Symbol \254}    K    {/Symbol \256} {/Symbol G}" 0 ) out nomirror
unset colorbox
set cbrange [-0.5:0.5]
set cbtics -1,0.5,1 offset -0.5,0
set cblabel "< s_z >" offset -0.7,0
set colorbox user origin 0.14,0.725 size 0.008,0.07
plot "./bandsK/spinbandsK.dat" using (($1-K)*dk):(1000*($2-Ef)):8 every 3 palette lt 6 ps 1.4 lw 2 with points title "",\
"./bandsK/spinbandsK.dat" using (($1-K)*dk):(1000*($2-Ef-500)) lc rgb "black" lt 6 ps 1.2 lw 2 with points title "DFT",\
"./bands_model.dat" using (($1*100)):(1000*($2)) with lines lw 4 lc rgb "black" title "Model",\
"./bands_model.dat" using (($1*100)):(1000*($2)):26 palette lw 4 with lines title "",\
"./bands_model.dat" using (($1*100)):(1000*($3)):27 palette lw 4 with lines title "",\
"./bands_model.dat" using (($1*100)):(1000*($4)):28 palette lw 4 with lines title "",\
"./bands_model.dat" using (($1*100)):(1000*($5)):29 palette lw 4 with lines title "",\
"./bands_model.dat" using (($1*100)):(1000*($6)):30 palette lw 4 with lines title "",\
"./bands_model.dat" using (($1*100)):(1000*($7)):31 palette lw 4 with lines title "",\
"./bands_model.dat" using (($1*100)):(1000*($8)):32 palette lw 4 with lines title "",\
"./bands_model.dat" using (($1*100)):(1000*($9)):33 palette lw 4 with lines title ""


set tmargin 1
unset label
set bmargin 2
set size 0.3, 0.25
set origin 0.0, 0.24
set ytic auto out nomirror
set tics out scale 2,1 nomirror
set yrange [-0.20:2.5]
set ytics -100,1,100 out nomirror
set palette defined (-0.5 'dark-blue', -0.25 'blue', 0 'grey', 0.25 'red', 0.5 'dark-red')
set ylabel "splitting [meV]" offset 1,0
set mytics 1
unset colorbox
set key inside center center nobox samplen 1
plot "./bands_model.dat" using (($1*100)):(($7-$6)*1000) with lines lw 4 lc rgb "red" title "",\
"./bands_model.dat" using (($1*100)):(($39-$38)*1000) every 4 with points pt 6 ps 1.2 lc rgb "red" title "{/Symbol D}E_{CB}",\
"./bands_model.dat" using (($1*100)):(($5-$4)*1000) with lines lw 4 lc rgb "blue" title "",\
"./bands_model.dat" using (($1*100)):(($37-$36)*1000) every 4 with points pt 6 ps 1.2 lc rgb "blue" title "{/Symbol D}E_{VB}",\


unset xtic
set tmargin 1
unset label
set bmargin 2
set size 0.38, 0.75
set origin 0.4, 0.24
set ytic auto out nomirror
set xrange [-3.0:3.5]
set tics out scale 2,1 nomirror
set yrange [-500:500]
set key at 0,300 samplen 1 nobox opaque maxrow 2
set ytics -500,100,500 out nomirror
unset xtics
set ylabel "E - E_F [meV]" offset 0.5,0
set mytics 2
set xtics ("M {/Symbol \254}    K    {/Symbol \256} {/Symbol G}" 0 ) out nomirror
unset colorbox
set cbrange [-0.5:0.5]
set cbtics -1,0.5,1 offset -0.5,0
set cblabel "< s_z >" offset -0.7,0
set colorbox user origin 0.14,0.725 size 0.008,0.07
plot "./bandsK/spinbandsK.dat" using (($1-K)*dk):(1000*($2-Ef)):8 every 4 palette lt 6 ps 1.4 lw 2 with points title "",\
"./bandsK/spinbandsK.dat" using (($1-K)*dk):(1000*($2-Ef-500)) lc rgb "black" lt 6 ps 1.2 lw 2 with points title "DFT",\
"./bands_model.dat" using (($1*100)):(1000*($2)) with lines lw 4 lc rgb "black" title "Model",\
"./bands_model.dat" using (($1*100)):(1000*($4)) with lines lw 4 lc rgb "black" title "",\
"./bands_model.dat" using (($1*100)):(1000*($6)) with lines lw 4 lc rgb "black" title "",\
"./bands_model.dat" using (($1*100)):(1000*($8)) with lines lw 4 lc rgb "black" title "",\


