set term postscript eps enhanced color "Times-Roman, 20" size 4,6
set output 'splittings.eps'
set autoscale
set encoding iso_8859_1

Ef = 3.0242
K = 0.13333
a = 12.5
dk = 100*2*3.141592/a
Ry = 13.605693
set multiplot layout 2,1


unset xtic
set xzeroaxis lw 2 dt 3
set tmargin 1
unset label
set bmargin 2
set size 1, 0.18
set origin 0.0, 0.0
set ytic auto out nomirror
set xrange [-4:4]
set tics out scale 2,1 nomirror
set yrange [0.0:4]
set key inside right center samplen 1 box opaque
set ytics -100,0.5,100 out nomirror
unset xtics
set key width 2
set palette defined (-0.5 'blue', -0.35 'grey', 0 'grey', 0.35 'grey', 0.5 'red')
set ylabel "splitting" offset 0.5,0
set mytics 2
set xtics ("M" -4 , "{/Symbol \254}    K    {/Symbol \256}" 0, "{/Symbol G}" 4 ) out nomirror
set x2tics ("4" -4, "3" -3, "2" -2, "1" -1, "0" 0, "1" 1, "2" 2, "3" 3, "4" 4) offset 0,-0.5
set mx2tics 4
unset colorbox
set x2label "k [10^{-2}/{\305}]" offset 0,-0.5
plot "./bands_model.dat" using (($1*100)):(($3-$2)*1000) with lines lw 5 lc rgb "black" title "Model",\
"./bands_model.dat" using (($1*100)):(($35-$34)*1000) with points pt 6 lw 1 lc rgb "black" title "DFT",\

unset key
set xzeroaxis lw 2 dt 3
set tmargin 1
unset label
set bmargin 2
set size 1, 0.18
set origin 0.0, 0.25
set ytic auto out nomirror
set xrange [-4:4]
set tics out scale 2,1 nomirror
set yrange [0:2.5]
set ytics -100,0.5,100 out nomirror
set palette defined (-0.5 'blue', -0.35 'grey', 0 'grey', 0.35 'grey', 0.5 'red')
set ylabel "splitting" offset 0.5,0
set mytics 2
set mx2tics 4
unset colorbox
set x2label "k [10^{-2}/{\305}]" offset 0,-0.5
plot "./bands_model.dat" using (($1*100)):(($5-$4)*1000) with lines lw 5 lc rgb "black" title "Model",\
"./bands_model.dat" using (($1*100)):(($37-$36)*1000) with points pt 6 lw 1 lc rgb "black" title "DFT",\


set xzeroaxis lw 2 dt 3
set tmargin 1
unset label
set bmargin 2
set size 1, 0.18
set origin 0.0, 0.5
set ytic auto out nomirror
set xrange [-4:4]
set tics out scale 2,1 nomirror
set yrange [-0.:2.5]
set ytics -100,0.5,100 out nomirror
set palette defined (-0.5 'blue', -0.35 'grey', 0 'grey', 0.35 'grey', 0.5 'red')
set ylabel "splitting" offset 0.5,0
set mytics 2
set mx2tics 4
unset colorbox
set x2label "k [10^{-2}/{\305}]" offset 0,-0.5
plot "./bands_model.dat" using (($1*100)):(($7-$6)*1000) with lines lw 5 lc rgb "black" title "Model",\
"./bands_model.dat" using (($1*100)):(($39-$38)*1000) with points pt 6 lw 1 lc rgb "black" title "DFT",\

set xzeroaxis lw 2 dt 3
set tmargin 1
unset label
set bmargin 2
set size 1, 0.18
set origin 0.0, 0.75
set ytic auto out nomirror
set xrange [-4:4]
set tics out scale 2,1 nomirror
set yrange [0:4]
set ytics -100,0.5,100 out nomirror
set palette defined (-0.5 'blue', -0.35 'grey', 0 'grey', 0.35 'grey', 0.5 'red')
set ylabel "splitting" offset 0.5,0
set mytics 2
set mx2tics 4
unset colorbox
set x2label "k [10^{-2}/{\305}]" offset 0,-0.5
plot "./bands_model.dat" using (($1*100)):(($9-$8)*1000) with lines lw 5 lc rgb "black" title "Model",\
"./bands_model.dat" using (($1*100)):(($41-$40)*1000) with points pt 6 lw 1 lc rgb "black" title "DFT",\









